
function load()
{
    $('a').click(function(e)
	{
		if ($(this).attr('href'))
		{
			widget.openURL($(this).attr('href'));
			e.preventDefault();
		}
	});
    dashcode.setupParts();
    $('#gobackbtn').click(showFront);
    $('#retry-button').click(doretry);
    $('#back-button').click(showBack);
    $('#global-info').html('initing...');
    init();
}


//
// Function: showBack(event)
// Called when the info button is clicked to show the back of the widget
//
// event: onClick event from the info button
//
function showBack(event)
{
    var front = document.getElementById("front");
    var back = document.getElementById("back");

    if (window.widget) {
        widget.prepareForTransition("ToBack");
    }

    front.style.display = "none";
    back.style.display = "block";

    if (window.widget) {
        setTimeout('widget.performTransition();', 0);
    }
}

//
// Function: showFront(event)
// Called when the done button is clicked from the back of the widget
//
// event: onClick event from the done button
//
function showFront(event)
{
    var front = document.getElementById("front");
    var back = document.getElementById("back");

    if (window.widget) {
        widget.prepareForTransition("ToFront");
    }

    front.style.display="block";
    back.style.display="none";

    if (window.widget) {
        setTimeout('widget.performTransition();', 0);
    }
}
